2017-11-20 05:24 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000457v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:10
Reporterlaussetdelon 
Assigned Tocaseydk 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Versionv2.0.0 
Target VersionFixed in Versionv2.0.0 
Summary0000457: Problem upgrading from V1.3
DescriptionI tried to install trunk 1129 today. I got after entering admin authentification information

ERROR: /var/www/project/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT user_id, contact_first_name as user_first_name, contact_last_name as user_last_name, contact_company as user_company, contact_department as user_department, user_type,cm.method_value AS user_email FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact LEFT JOIN `contacts_methods` AS cm ON cm.contact_id = con.contact_id WHERE cm.method_name = 'email_primary' AND user_id = 1 AND user_username = 'admin') - error was: Table 'project.contacts_methods' doesn't exist
Backtrace:
0 /var/www/project/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/project/classes/w2p/Database/Query.class.php:1256 exec()
2 /var/www/project/classes/ui.class.php:763 loadObject()
3 /var/www/project/index.php:126 login()
Table 'project.contacts_methods' doesn't exist
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000937

caseydk (administrator)

Resolved in r1130;

~0000943

laussetdelon (reporter)

Still the message below (upgrading to trunk 1130 or 1133

ERROR: /var/www/project/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT user_id, contact_first_name as user_first_name, contact_last_name as user_last_name, contact_company as user_company, contact_department as user_department, user_type,cm.method_value AS user_email FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact LEFT JOIN `contacts_methods` AS cm ON cm.contact_id = con.contact_id WHERE cm.method_name = 'email_primary' AND user_id = 1 AND user_username = 'admin') - error was: Table 'project.contacts_methods' doesn't exist
Backtrace:
0 /var/www/project/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/project/classes/w2p/Database/Query.class.php:1256 exec()
2 /var/www/project/classes/ui.class.php:779 loadObject()
3 /var/www/project/index.php:126 login()
Table 'project.contacts_methods' doesn't exist

~0000949

caseydk (administrator)

I tracked down this one and beat it up in a back alley. It's not the most efficient way but it consistently works reliably.

Resolved in r1136.
+Notes

-Issue History
Date Modified Username Field Change
2010-06-01 02:28 laussetdelon New Issue
2010-06-01 05:03 caseydk Status new => assigned
2010-06-01 05:03 caseydk Assigned To => caseydk
2010-06-01 05:12 caseydk Priority normal => immediate
2010-06-01 05:12 caseydk Severity crash => block
2010-06-02 18:50 caseydk Note Added: 0000937
2010-06-02 18:50 caseydk Status assigned => resolved
2010-06-02 18:50 caseydk Resolution open => fixed
2010-06-03 05:57 laussetdelon Note Added: 0000943
2010-06-03 05:57 laussetdelon Status resolved => feedback
2010-06-03 05:57 laussetdelon Resolution fixed => reopened
2010-06-04 18:44 caseydk Note Added: 0000949
2010-06-04 18:44 caseydk Status feedback => resolved
2010-06-04 18:44 caseydk Resolution reopened => fixed
2010-06-21 21:10 caseydk Status resolved => closed
2010-06-21 21:10 caseydk Fixed in Version => v2.0
+Issue History